Subject: bug#11860: closed (Re: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Aug 2020 09:48:02 +0000

Your bug report

#11860: 24.1;  Arabic - Harakat (diacritics, short vowels) don't appear

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11860: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11860
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11860: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
From: Stefan Kangas <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 18 Aug 2020 09:47:25 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> > the diacritics characters (harakat, short vowels of arabic) don't appear in windows. (In linux it works very fine)
>
> I see them on Windows in Emacs 27.1.  So either this problem was fixed
> in the meantime, or the problem was caused by some non-default font
> the OP uses.  (Here those characters are displayed using the default
> Courier New font.)

Thanks.  I'm therefore closing this bug.

If anyone is still seeing this, please reply to this email (use "Reply
to all" in your email client) and we can reopen the bug report.

Best regards,
Stefan Kangas

Subject: 24.1; Arabic - Harakat (diacritics, short vowels) don't appear
From: Steffan <[email-masked]>
To: [email-masked]
Date: Wed, 04 Jul 2012 11:17:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

the diacritics characters (harakat, short vowels of arabic) don't appear in windows. (In linux it works very fine)

These are the unicode names:
U+064B (1611)	‏ً‎	Arabisches Fathatan	ARABIC FATHATAN
U+064C (1612)	‏ٌ‎	Arabisches Dammatan	ARABIC DAMMATAN
U+064D (1613)	‏ٍ‎	Arabisches Kasratan	ARABIC KASRATAN
U+064E (1614)	‏َ‎	Arabisches Fatha	ARABIC FATHA
U+064F (1615)	‏ُ‎	Arabisches Damma	ARABIC DAMMA
U+0650 (1616)	‏ِ‎	Arabisches Kasra	ARABIC KASRA
U+0651 (1617)	‏ّ‎	Arabisches Schadda	ARABIC SHADDA
U+0652 (1618)	‏ْ‎	Arabisches Sukun	ARABIC SUKUN

All these characters doesn't appear. Or I can see them shortly if the cursor is on one of them.

I've tried many fonts, but it doesn't work. These special characters are in the file, emacs don't loose them. If I copy the text to another editor, I can see them.

Should I download other packages?

Thanks

Greetings

Steffan

 -- 
In GNU Emacs 24.1.1 (i386-mingw-nt6.1.7600)
 of 2012-06-10 on MARVIN
Windowing system distributor `Microsoft Corp.', version 6.1.7600
Configured using:
 `configure --with-gcc (4.6) --cflags
 -ID:/devel/emacs/libs/libXpm-3.5.8/include
 -ID:/devel/emacs/libs/libXpm-3.5.8/src
 -ID:/devel/emacs/libs/libpng-dev_1.4.3-1/include
 -ID:/devel/emacs/libs/zlib-dev_1.2.5-2/include
 -ID:/devel/emacs/libs/giflib-4.1.4-1/include
 -ID:/devel/emacs/libs/jpeg-6b-4/include
 -ID:/devel/emacs/libs/tiff-3.8.2-1/include
 -ID:/devel/emacs/libs/gnutls-3.0.9/include'

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: DEU
  value of $XMODIFIERS: nil
  locale-coding-system: cp1256
  default enable-multibyte-characters: t

Major mode: Fundamental

Minor modes in effect:
  text-scale-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-f <up> <backspace> <backspace> <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> u <backspace> 
d o <tab> w . <backspace> / <backspace> <backspace> 
<backspace> <backspace> d d d <return> X \ <backspace> 
<backspace> C-x C-] C-x C-= C-x C-= g h h f C-x C-= 
C-x C-= C-= C-= C-= <backspace> <backspace> <backspace> 
<backspace> <backspace> <return> h g <backspace> <backspace> 
<backspace> <language-change> ا ل ج ز <backspace> <backspace> 
<backspace> <backspace> ا ل ع ل ا <backspace> <backspace> 
ل ا <backspace> <backspace> ر ب ي و <backspace> ة <right> 
ّ <right> <right> <left> <backspace> <delete> <delete> 
<delete> <delete> <backspace> <backspace> <backspace> 
<backspace> ت ا <backspace> <backspace> <backspace> 
ا ل ع ر ب ي ة <return> <return> ا ل ع َ ر َ ب ي ّ ة <return> 
C-SPC <up> <up> <down> <down> <right> <right> <right> 
<right> <right> <left> <left> <left> <right> <right> 
<right> <right> <right> <right> <right> <down> <left> 
<left> <right> <left> <left> <left> <left> <left> <left> 
<left> C-g C-g C-x C-s <return> <up> <left> <left> 
<left> <right> <left> <left> <left> <left> <left> <right> 
<right> <right> <left> <left> <left> <left> <up> <left> 
<left> <left> <left> <left> <left> <left> <left> <left> 
<up> <up> <up> <down> <return> <down> <down> <right> 
<right> <right> <right> <right> <right> <right> <right> 
<left> <left> <left> <left> <left> <left> <left> <right> 
<right> M-x <up> <down> 0 <backspace> - ل ا ع ل <tab> 
<backspace> <backspace> <backspace> <backspace> <language-change> 
b u <tab> g <tab> ß <backspace> <left> <left> <left> 
<left> r e <tab> <return>

Recent messages:
delete-backward-char: Beginning of buffer
Mark set
Quit [2 times]
Saving file c:/Users/q/ddd...
Wrote c:/Users/q/ddd
call-interactively: End of buffer
goto-history-element: Beginning of history; no preceding item
goto-history-element: End of history; no default available
Making completion list... [2 times]
call-interactively: End of buffer [2 times]

Load-path shadows:
None found.

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail regexp-opt rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils help-mode easymenu view face-remap
time-date tooltip ediff-hook vc-hooks lisp-float-type mwheel dos-w32
disp-table ls-lisp w32-win w32-vars tool-bar dnd fontset image fringe
lisp-mode register page menu-bar rfn-eshadow timer select scroll-bar
mouse jit-lock font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese hebrew greek romanian slovak czech european ethiopic indian
cyrillic chinese case-table epa-hook jka-cmpr-hook help simple abbrev
minibuffer loaddefs button faces cus-face files text-properties overlay
sha1 md5 base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process multi-tty emacs)